#ifndef RIFFH
#define RIFFH
//-----------------------------------------------------

#include "integer.h"
#include "ff.h"
//-----------------------------------------------------
//
//	RIFF t@C֘A
//
//-----------------------------------------------------


//ubNx
typedef struct {
	char 	id[4];
	long	size;
}TRiffLabel;

//RIFFwb_
typedef struct {
	char	id[4];
	DWORD	size;
	char	type[4];
}TRiffHead;

//fmt`N
#define	RIFF_IDPCM		0x0001
typedef struct {
	short	id;
	WORD	ch;
	DWORD	sample_rate;
	DWORD	data_rate;
	WORD	block_size;
	WORD	sample_bit;
}TFmtChunk;

//RIFF
#define	RIFF_ORGDAT		36
#define	RIFF_BLOCKSIZE	128
#define RIFF_OK			0
#define	RIFF_ERROR		1
typedef struct {
	FIL			src;
	TRiffHead	riff;
	TFmtChunk	fmt;
	long		end;
	long		pos;

	WORD		idx_w;
	WORD		idx_r;
	WORD		count;
	BYTE		buff[ RIFF_BLOCKSIZE*2 ];
}TRiffInfo;

void riff_open(const char* src);
BYTE riff_read();
void riff_close();
void riff_out();
void riff_init();

#endif
